/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.cashFlow {
  &__table {
    display: none;
    @include respond(laptop) {
      display: block;
    }
    overflow-x: scroll;

    .ant-table-placeholder {
      z-index: 0;
    }
    thead tr th {
      background-color: $coa-cashflow-table-header-background !important;
      @include primary-text(0.875rem, $coa-cashflow-table-header-text-color, 400);
    }
    &__currentAmount {
      @include primary-text(0.875rem, $coa-medium-gray-100, 600);
    }
    &__activityType {
      text-transform: uppercase;

      &.--green {
        @include primary-text(0.875rem, $coa-green-100, 700);
      }

      &.--orange {
        @include primary-text(0.875rem, $coa-yellow-100, 700);
      }

      &.--violet {
        @include primary-text(0.875rem, $coa-violet-100, 700);
      }
    }
    &__roleValue {
      text-transform: capitalize;
    }
  }

  &__tablesMobileContainer {
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    @include respond(laptop) {
      display: none;
    }

    &__tableMobile {
      width: 100%;
      th {
        background-color: $coa-cashflow-table-header-background !important;
        @include primary-text(0.875rem, $coa-primary, 400);
      }
      td,
      th {
        padding-inline: 1rem;
        padding-block: 0.6rem;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }
      tr {
        display: grid;
        grid-template-rows: 1fr;
        grid-template-columns: 50% 50%;
        overflow: hidden;
        width: 100%;

        &:not(:last-child) {
          border-bottom: solid 1px #e8e8e8;
        }
      }
      -webkit-border-radius: 20px;
      -moz-border-radius: 20px;
      -ms-border-radius: 20px;
      -o-border-radius: 20px;
      border-radius: 20px;
      overflow: hidden;
    }
  }
}
